Skip to Content

List your subscriptions

Needs the scope webhooks:manage

Your subscriptions, newest first, stopped ones included. Secrets are not included.

Response Body

OK

application/json
  1. response
webhooks*array<>
Example Request
curl -sS https://platform.charpstar.co/api/v1/webhooks \  -H "Authorization: Bearer $CHARPSTAR_API_KEY"
Example Response
{  "webhooks": [    {      "id": "a1b2c3d4-0000-4000-8000-000000000001",      "url": "https://example.com/charpstar/events",      "events": [        "asset.approved",        "asset.images.updated"      ],      "active": true,      "secretPrefix": "whsec_Q2x9Ab",      "createdAt": "2026-10-20T08:00:00.000Z"    }  ]}